Index: pages/_app.js
===================================================================
--- pages/_app.js	(revision 41d3f60370077ca99cfecfaf1b8e6b74ea364357)
+++ pages/_app.js	(revision 6568bdeae3dbd082b040ec9b3d752c195313b7e5)
@@ -1,16 +1,6 @@
 import '../styles/globals.css'
 
-import { store } from '../redux/store'
-import { Provider } from 'react-redux'
-import { SessionProvider } from 'next-auth/react'
-
-function MyApp({ Component, pageProps: {session, ...pageProps} }) {
-  return (
-    <SessionProvider session={session}>
-      <Provider store={store}>
-        <Component {...pageProps} />
-      </Provider>
-    </SessionProvider>
-  )
+function MyApp({ Component, pageProps }) {
+  return <Component {...pageProps} />
 }
 
Index: pages/api/hello.js
===================================================================
--- pages/api/hello.js	(revision 6568bdeae3dbd082b040ec9b3d752c195313b7e5)
+++ pages/api/hello.js	(revision 6568bdeae3dbd082b040ec9b3d752c195313b7e5)
@@ -0,0 +1,5 @@
+// Next.js API route support: https://nextjs.org/docs/api-routes/introduction
+
+export default function handler(req, res) {
+  res.status(200).json({ name: 'John Doe' })
+}
